Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/dccproc /usr/bin/gconftool-2 /usr/bin/glib-gettextize /usr/bin/pyzor /usr/bin/razor-report /usr/bin/razor-revoke libgio-devel pkgconfig(evolution-data-server-1.2) pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(gtk+-3.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
BuildRequires: /usr/bin/gendiff
Name: evolution-rspam
Summary: Evolution Plugin for reporting spam
Version: 0.6.0
Release: alt9_43
License: GPL-2.0-or-later
Source: http://gnome.eu.org/%{name}-%{version}.tar.xz
URL: http://gnome.eu.org/evo/index.php/Report_as_Spam

Patch0: evolution-rspam-0.6.0-evo38.patch
Patch1: evolution-rspam-0.6.0-convert-fix.patch
Patch2: evolution-rspam-0.6.0-globals-clash.patch
Patch3: evolution-rspam-0.6.0-evo312.patch
Patch4: evolution-rspam-0.6.0-evo313.patch
Patch5: evolution-rspam-0.6.0-evo3136.patch
Patch6: evolution-rspam-0.6.0-source-double-unref.patch
Patch7: evolution-rspam-0.6.0-activity-leak.patch
Patch8: evolution-rspam-0.6.0-evo3_23_2.patch
Patch9: evolution-rspam-0.6.0-fix-po-charset.patch

Requires: perl-Razor razor
Requires: python3-module-pyzor
Requires: evolution evolution-bogofilter evolution-data evolution-spamassassin

BuildRequires: gettext-tools, evolution-devel >= 3.45.1, perl(XML/Parser.pm), intltool libGConf-devel libGConf-gir-devel
BuildRequires: autoconf, automake, gnome-common, libtool
Source44: import.info

%description
Rspam Evolution Plugin enables Evolution Mail client to report email messages
as spam to checksum-based and statistical filtering networks.
It supports Razor network, DCC, SpamCop and Pyzor.
This plugins requires a pretty new version of evolution to build.
See README for more information about required programs.

%prep
%setup -q
cat %_sourcedir/evolution-rspam-0.6.0-evo38.patch | patch -p1 -s -b --suffix ".0"
cat %_sourcedir/evolution-rspam-0.6.0-convert-fix.patch | patch -p1 -s -b --suffix ".1"
cat %_sourcedir/evolution-rspam-0.6.0-globals-clash.patch | patch -p1 -s -b --suffix ".2"
cat %_sourcedir/evolution-rspam-0.6.0-evo312.patch | patch -p1 -s -b --suffix ".3"
cat %_sourcedir/evolution-rspam-0.6.0-evo313.patch | patch -p1 -s -b --suffix ".4"
cat %_sourcedir/evolution-rspam-0.6.0-evo3136.patch | patch -p1 -s -b --suffix ".5"
cat %_sourcedir/evolution-rspam-0.6.0-source-double-unref.patch | patch -p1 -s -b --suffix ".6"
cat %_sourcedir/evolution-rspam-0.6.0-activity-leak.patch | patch -p1 -s -b --suffix ".7"
cat %_sourcedir/evolution-rspam-0.6.0-evo3_23_2.patch | patch -p1 -s -b --suffix ".8"
cat %_sourcedir/evolution-rspam-0.6.0-fix-po-charset.patch | patch -p1 -s -b --suffix ".9"


%build
./autogen.sh
%configure
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang rspam

# remove old GConf schemas
#find $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/schemas -name '*.schemas' -exec rm {} \;

%files -f rspam.lang
%{_datadir}/GConf/gsettings/evolution-rspam.convert
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.plugin.evolution-rspam.gschema.xml
%{_datadir}/evolution/ui/*.ui
%{_libdir}/evolution/plugins/org-gnome-sa-rspam.eplug
%{_libdir}/evolution/plugins/liborg-gnome-sa-rspam.so
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc NEWS
%doc README
%doc TODO

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt9_43
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt9_40
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt9_38
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt9_35
- update to new release by fcimport

* Mon Nov 22 2021 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt9_34
- rebuild to get rid of unmets

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt8_34
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt8_33
- update to new release by fcimport

* Thu Apr 15 2021 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt8_32
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.6.0-alt7_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt7_30
- update to new release by fcimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt6_30
- rebuild to get rid of unmets

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt5_30
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt5_28
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt5_27
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt5_26
- update to new release by fcimport

* Tue Mar 19 2019 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt5_24
- rebuild to get rid of unmets

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt4_24
- update to new release by fcimport

* Mon Oct 08 2018 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt4_23
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt3_23
- update to new release by fcimport

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt3_22
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt3_21
- update to new release by fcimport

* Tue Mar 20 2018 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt3_20
- rebuild to get rid of unmets

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt2_20
- update to new release by fcimport

* Mon Mar 27 2017 Cronbuild Service <cronbuild@altlinux.org> 0.6.0-alt2_18
- rebuild to get rid of unmets

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_18
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_17
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_16
- update to new release by fcimport

* Wed Sep 28 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_15
- fixed deps

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_13
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_12
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_8
- update to new release by fcimport

* Sat May 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_3
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_1
- fc import

